var angular = require('cla_angular');
window.angular = angular;

require('./projects.libs.js');
require('ng.cla.core.lmsg');
require('ng.cla.core.breadcrumb');

angular.module('cla.project_list', []);
require('./service/projectList.service.js');

// Other modules
require('./ng/modules/widgets/projects_widgets.module.js');

angular.module('projectListApp', ['ui.bootstrap', 'ngResource', 'ngStorage', 'angularUtils.directives.dirPagination', 'cla.core.lmsg', 'cla.core.breadcrumb', 'cla.project_list', 'claromentis.projects.widgets']);
require('./controller/projectNewCtrl.js');
require('./controller/projectListCtrl.js');

angular.module('projectFilterApp', ['ui.bootstrap', 'ngResource', 'ngStorage', 'cla.core.lmsg', 'cla.project_list']);
require('./controller/projectFilterCtrl.js');

module.exports = null;
